# Table of contents

* [🔍 Overview](README.md)
* [🙋 Beginner Tips](beginner-tips.md)
* [👷 Developer Resources](developer-resources.md)

## Tutorials

* [🥭 Initial Setup](<README (1).md>)
* [📈 Trading](tutorials/trading-on-mango.md)
* [💵 Borrowing & Lending](tutorials/borrowing-and-lending.md)
* [👛 Creating & Funding a Wallet](tutorials/creating-a-wallet.md)
* [⚖ How to Vote in Governance](tutorials/how-to-vote-in-governance.md)
* [🖩 How to Use the Risk Calculator](tutorials/risk-calculator.md)

## Mango

* [❤ Health Overview](mango/health-overview.md)
* [💀 Liquidations](mango/liquidations.md)
* [💰 Insurance Fund](mango/insurance-fund.md)
* [👪 Socialized Losses](mango/socialized-losses.md)
* [🤝 Settle Pnl](mango/settle-pnl.md)
* [💸 Funding](mango/funding.md)
* [⛏ Liquidity Mining](mango/liquidity-incentives.md)
* [☑ Asset Specs](mango/token-specs.md)
* [🔮 Perp Contract Specs](mango/perp-contract-specs.md)
* [🦋 Bug Bounty](mango/bug-bounty.md)
* [🤖 Market Making Bot (python)](mango/market-making-bot-python.md)
* [⚙ Mango Client API (javascript)](mango/mango-client-api-javascript.md)

## FAQ's

* [Lending](faqs/lending.md)
* [Health](faqs/health.md)
* [Spot](faqs/spot.md)
* [PERP](faqs/perp-faq.md)
* [Borrows](faqs/borrows.md)
* [Trade Order Types](faqs/trade-order-types.md)
* [Swap](faqs/swap.md)
* [MNGO](faqs/mngo.md)
* [Dev](faqs/dev.md)
* [General FAQ](tutorials/faq.md)

## Development Resources

* [Mango Client API](development-resources/mango-client-api.md)
* [Liquidator](development-resources/liquidator.md)

## Mango V2 (DEPRECATED) <a href="#mango-v2" id="mango-v2"></a>

* [Overview](mango-v2/overview.md)
* [Risks](mango-v2/risks.md)
* [PNL Calculation](mango-v2/pnl-calculation.md)
* [Mango Program API](mango-v2/mango-program-api.md)

***

* [Litepaper](litepaper.md)
